%define name iwlwifi-6005-ucode
%define tarname iwlwifi-6000g2a-ucode
%define version 17.168.5.2
%define release %mkrel 1

Summary: Intel PRO/Wireless 6005AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{tarname}-%{version}.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-6000g2a-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6005AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -n %{tarname}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode




%changelog
* Thu Mar 17 2011 tmb <tmb> 17.168.5.2-1.mga1
+ Revision: 73323
- update to 17.168.5.2

* Sat Jan 15 2011 tmb <tmb> 17.168.5.1-2.mga1
+ Revision: 19571
- imported package iwlwifi-6005-ucode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 17.168.5.1-2.mga1
- initial Mageia import

* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 17.168.5.1-1mdv2011.0
+ Revision: 626463
- add ucode 17.168.5.1 and spec file
- Created package structure for iwlwifi-6005-ucode.

